Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 220579 - sys-apps/openrc-0.2.4 segfaults when stopping hwclock init.d
Summary: sys-apps/openrc-0.2.4 segfaults when stopping hwclock init.d
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] baselayout (show other bugs)
Hardware: AMD64 Linux
: High major (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-06 12:56 UTC by Rod
Modified: 2008-06-01 07:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge openrc >& log (log,58.64 KB, text/plain)
2008-05-07 06:45 UTC, Rod
Details
FEATURES=nostrip emerge openrc >& log (log,61.04 KB, text/plain)
2008-05-11 07:25 UTC, Rod
Details
emerge openrc-2.4 (log,61.85 KB, text/plain)
2008-05-12 06:53 UTC, Rod
Details
FEATURES=nostrip emerge openrc-2.4 >& log (log,61.04 KB, text/plain)
2008-05-12 11:17 UTC, Rod
Details
Check deptree exists before using it (openrc-start-nodep.patch,799 bytes, patch)
2008-05-12 13:22 UTC, Roy Marples
Details | Diff
FEATURES=nostrip emerge openrc >& log + patch (log,61.08 KB, text/plain)
2008-05-13 06:18 UTC, Rod
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rod 2008-05-06 12:56:25 UTC
recently upgraded to baselayout-2 and openrc. i followed the migration guide and still have command not found errors when starting or stopping init services.
i have downgraded to baselayout-1 and then tried to remerge baselayout-2 again , but same prob. for example
hwclock                 |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
hwclock                 | * Setting system clock using the hardware clock [Local Time] ...
 [ ok ]
hwclock                 |/lib64/rc/sh/runscript.sh: line 169: command: start_post: not found
hostname                |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
hostname                | * Setting hostname to localhost ...
modules                 |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
termencoding            |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found



Reproducible: Always

Actual Results:  
rc boot logging started at Wed May  7 08:59:42 2008

hwclock                 |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
hwclock                 | * Setting system clock using the hardware clock [Local Time] ...
 [ ok ]
hwclock                 |/lib64/rc/sh/runscript.sh: line 169: command: start_post: not found
hostname                |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
hostname                | * Setting hostname to localhost ...
modules                 |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
termencoding            |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
termencoding            | * Setting terminal encoding [UTF-8] ...
 [ ok ]
 [ ok ]
hostname                |/lib64/rc/sh/runscript.sh: line 169: command: start_post: not found
modules                 | * Autoloaded 0 module(s)
termencoding            |/lib64/rc/sh/runscript.sh: line 169: command: start_post: not found
modules                 |/lib64/rc/sh/runscript.sh: line 169: command: start_post: not found
sysctl                  |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
sysctl                  | * Configuring kernel parameters ...
device-mapper           |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
device-mapper           |/lib64/rc/sh/runscript.sh: line 169: command: start_post: not found
 [ ok ]
sysctl                  |/lib64/rc/sh/runscript.sh: line 169: command: start_post: not found
fsck                    |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
fsck                    | * Checking local filesystems  ...
fsck                    |/dev/sda5: clean, 39675/244320 files, 361623/487966 blocks
fsck                    |/boot: clean, 110/48192 files, 58347/192748 blocks
fsck                    |/dev/sda3: clean, 12/244320 files, 8396/487974 blocks
fsck                    |/dev/sda6: clean, 164388/2443200 files, 987545/4883752 blocks
fsck                    |/dev/sda7: clean, 306537/2443200 files, 1701827/4883752 blocks
fsck                    |/usr/portage: clean, 159155/2443200 files, 3521994/4883752 blocks
fsck                    |/usr/src: clean, 342597/2443200 files, 2234428/4883752 blocks
fsck                    |/home: clean, 33685/2443200 files, 2100970/4883752 blocks
fsck                    |Reiserfs super block in block 16 on 0x80b of format 3.6 with standard journal
fsck                    |Blocks (total/free): 48827536/22133959 by 4096 bytes
fsck                    |Filesystem is clean
fsck                    |Replaying journal..
fsck                    |Reiserfs journal '/dev/sda11' in blocks [18..8211]: 0 transactions replayed
fsck                    |Checking internal tree..finished
fsck                    |Reiserfs super block in block 16 on 0x80c of format 3.6 with standard journal
fsck                    |Blocks (total/free): 47580496/23994350 by 4096 bytes
fsck                    |Filesystem is clean
fsck                    |Replaying journal..
fsck                    |Reiserfs journal '/dev/sda12' in blocks [18..8211]: 0 transactions replayed
fsck                    |Checking internal tree..finished
fsck                    |/sbin/fsck.xfs: XFS file system.
fsck                    |/sbin/fsck.xfs: XFS file system.
fsck                    |Reiserfs super block in block 16 on 0x1604 of format 3.6 with standard journal
fsck                    |Blocks (total/free): 24414768/17284765 by 4096 bytes
fsck                    |Filesystem is clean
fsck                    |Replaying journal..
fsck                    |Reiserfs journal '/dev/hdc4' in blocks [18..8211]: 0 transactions replayed
fsck                    |Checking internal tree..finished
fsck                    |/sbin/fsck.xfs: XFS file system.
fsck                    |/sbin/fsck.xfs: XFS file system.
 [ ok ]
fsck                    |/lib64/rc/sh/runscript.sh: line 169: command: start_post: not found
root                    |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
root                    | * Remounting root filesystem read/write ...
 [ ok ]
root                    |/lib64/rc/sh/runscript.sh: line 169: command: start_post: not found



emerge --info
Portage 2.1.5_rc6 (default/linux/amd64/2008.0/desktop, gcc-4.2.3, glibc-2.7-r2, 2.6.25-gentoo-r1 x86_64)
=================================================================
System uname: 2.6.25-gentoo-r1 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 3800+
Timestamp of tree: Tue, 06 May 2008 06:15:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r9, 2.5.2-r2
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.3
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.0/env /usr/kde/4.0/share/config /usr/kde/4.0/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://gentoo.mirrors.tds.net/gentoo"
LANG="en_NZ.UTF-8"
LDFLAGS=""
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/springlobby"
SYNC="rsync://rsync.au.gentoo.org/gentoo-portage"
USE="16bit 3dnow 3dnowext S3TC X a52 aac accessibility acl acpi acpi4linux aim akode alsa amarok amazon amd64 ao aoss applet aqua_theme asf async audacious audiofile automount avahi background bash-completion bcmath berkdb bittorrent bjam blender-game bluetooth bonobo branding browserplugin bzip2 bzlib c++ cairo calendar ccache cdaudio cdda cdio cdparanoia cdr cdrom chroot cli cpudetection cracklib crypt curl cursors dbus de_tvtoday dga dhcp directfb divx dnd dpmod dpms dv dvd dvdr dvdread eds emboss emul-linux-x86 encode epiphany ethereal evo evolution examples expat extrafilters fam fbdev ffmpeg finger firefox fla flac flash fmod fontconfig freetype ftp gaim gdbm gdm gif gimp glade glib glibc-omitfp glitz glut gmedia gnome gnutls gphoto2 gpm gstreamer gstreamer010 gtk gzip hal hddtemp hfs icons iconv icq id3 id3tag image imagemagick imlib2 ipod irc ivtv jack java javascript jpeg kde kdm kerberos kqemu lame lash libnotify libsamplerate libvisual lights lirc live lm_sensors logitech-mouse logrotate mad mdnsresponder-compat memlimit midi mikmod mixer mjpeg mmap mmx mmxext modplug mods mono moznocompose moznoirc moznomail moznoroaming mp3 mp4 mp4live mpeg mpeg2 mpeg4 mplayer msn msql mudflap multilib musepack musicbrainz mysql mythtv nautilus ncurses net network networkmanager newspr nforce2 nls nntp nocd nptl nptlonly nsplugin ntfs nvidia ogg oggvorbis openal opengl openmp p2p pam pango pcre pdf perl png portaudio ppds pppd python qmax qt3 qt3support qt4 quicktime radio rar rdesktop readline realmedia reflection reiserfs rhythmbox rogue rplay rpm rtc samba sblive sdl sdl-sound sdlaudio seamonkey session smp sndfile sound soundtouch source sox spell spl sqlite src sse sse2 ssl startup-notification stream svg sys-libs sysfs syslog taglib tcl tcltk tcp tcpd textures theora threads threadsafe tiff tk transcode truetype unicode unzip v4l v4l2 vcd vfat vga videos visualization vlm vorbis wavpack wma wma123 wmp wordperfect wxwindows x264 xanim xatrix xattr xchat xcomposite xext xft xine xinerama xml xorg xosd xpm xscreensaver xv xvid xvmc yv12 zlib" ALSA_CARDS="ice1712 intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="mouse keyboard evdev" KERNEL="linux" LIRC_DEVICES="hauppauge" USERLAND="GNU" VIDEO_CARDS="nv vesa nvidia fbdev ivtvdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 SpanKY gentoo-dev 2008-05-06 13:36:50 UTC
only install baselayout-2 and openrc, and then post the full build log as an attachment from doing:
emerge openrc >& log
Comment 2 Rod 2008-05-07 06:45:11 UTC
Created attachment 152195 [details]
emerge openrc >& log
Comment 3 SpanKY gentoo-dev 2008-05-07 08:10:12 UTC
and so do you still get the same errors ?  what about running an init.d script by hand like:
/etc/init.d/hwclock --nodeps stop
/etc/init.d/hwclock --nodeps start
Comment 4 Rod 2008-05-07 08:46:05 UTC
(In reply to comment #3)
> and so do you still get the same errors ?  what about running an init.d script
> by hand like:
> /etc/init.d/hwclock --nodeps stop
> /etc/init.d/hwclock --nodeps start
> 

yes the errors are just the same.
i cant see any change at all after re-emerging.

localhost r1h # /etc/init.d/hwclock --nodeps stop
 * WARNING: you are stopping a boot service
/lib64/rc/sh/runscript.sh: line 165: command: stop_pre: not found
/lib64/rc/sh/runscript.sh: line 169: command: stop_post: not found
localhost r1h # /etc/init.d/hwclock --nodeps start
/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
 * Setting system clock using the hardware clock [UTC] ...                [ ok ]
/lib64/rc/sh/runscript.sh: line 169: command: start_post: not found
Segmentation fault
localhost r1h # 

although , when i add -nodeps to the command i see it has segmentation fault at the end.

r1h@localhost ~ $ dmesg | tail
Adding 995988k swap on /dev/hdc1.  Priority:1 extents:1 across:995988k
Adding 995988k swap on /dev/hdd1.  Priority:1 extents:1 across:995988k
skge eth0: enabling interface
skge eth0: Link is up at 100 Mbps, full duplex, flow control none
agpgart: Found an AGP 3.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V3 device at 0000:00:00.0 into 8x mode
agpgart: Putting AGP V3 device at 0000:01:00.0 into 8x mode
NVRM: bad caching on address 0xffff81003b302000: actual 0x173 != expected 0x17b
NVRM: please see the README section on Cache Aliasing for more information
hwclock[4069]: segfault at 0 ip 7f40e5eaad39 sp 7fffee4caec0 error 4 in librc.so.1[7f40e5ea6000+9000]
r1h@localhost ~ $ 
Comment 5 SpanKY gentoo-dev 2008-05-10 09:03:11 UTC
run the same tests, but with --debug on the command line

also re-emerge openrc with USE=debug and CFLAGS='-g' and FEATURES=nostrip
Comment 6 Rod 2008-05-11 05:06:05 UTC
(In reply to comment #5)
> run the same tests, but with --debug on the command line
> 
> also re-emerge openrc with USE=debug and CFLAGS='-g' and FEATURES=nostrip
> 

mother r1h # /etc/init.d/hwclock --nodeps --debug stop
hwclock                 | * WARNING: you are stopping a boot service
hwclock                 |+ _conf_d=/etc/init.d/../conf.d
hwclock                 |+ _c=hwclock
hwclock                 |+ '[' -n hwclock -a hwclock '!=' hwclock ']'
hwclock                 |+ unset _c
hwclock                 |+ '[' -e /etc/init.d/../conf.d/hwclock.default ']'
hwclock                 |+ '[' -e /etc/init.d/../conf.d/hwclock ']'
hwclock                 |+ . /etc/init.d/../conf.d/hwclock
hwclock                 |++ CLOCK=local
hwclock                 |++ TIMEZONE=NZ
hwclock                 |++ CLOCK_OPTS=
hwclock                 |++ CLOCK_SYSTOHC=yes
hwclock                 |++ SRM=no
hwclock                 |++ ARC=no
hwclock                 |+ unset _conf_d
hwclock                 |+ '[' -e /etc/rc.conf ']'
hwclock                 |+ . /etc/rc.conf
hwclock                 |++ rc_parallel=YES
hwclock                 |++ rc_interactive=NO
hwclock                 |++ rc_depend_strict=YES
hwclock                 |++ rc_hotplug=YES
hwclock                 |++ rc_coldplug=YES
hwclock                 |++ rc_plug_services=
hwclock                 |++ rc_logger=YES
hwclock                 |++ unicode=YES
hwclock                 |++ net_fs_list='afs cifs coda davfs fuse gfs ncpfs nfs nfs4 ocfs2 shfs smbfs'
hwclock                 |++ rc_tty_number=12
hwclock                 |++ rc_devices=udev
hwclock                 |++ rc_device_tarball=NO
hwclock                 |++ dmesg_level=1
hwclock                 |+ '[' -n '' ']'
hwclock                 |+ . /etc/init.d/hwclock
hwclock                 |++ extra_commands='save show'
hwclock                 |++ description='Sets the local clock to UTC or Local Time.'
hwclock                 |++ description_save='Saves the current time in the BIOS.'
hwclock                 |++ description_show='Displays the current time in the BIOS.'
hwclock                 |++ clock_adjfile=
hwclock                 |++ clock_args=
hwclock                 |++ clock_systohc=yes
hwclock                 |++ clock=local
hwclock                 |++ '[' local = UTC ']'
hwclock                 |++ utc='Local Time'
hwclock                 |++ utc_cmd=--localtime
hwclock                 |+ unset _d
hwclock                 |+ unset _f
hwclock                 |+ '[' -n stop ']'
hwclock                 |+ for _cmd in describe start stop '${extra_commands:-${opts}}' '${extra_started_commands}'
hwclock                 |+ '[' describe = stop ']'
hwclock                 |+ for _cmd in describe start stop '${extra_commands:-${opts}}' '${extra_started_commands}'
hwclock                 |+ '[' start = stop ']'
hwclock                 |+ for _cmd in describe start stop '${extra_commands:-${opts}}' '${extra_started_commands}'
hwclock                 |+ '[' stop = stop ']'
hwclock                 |++ command -v stop
hwclock                 |+ '[' stop = stop ']'
hwclock                 |+ yesno
hwclock                 |+ '[' -z '' ']'
hwclock                 |+ return 1
hwclock                 |+ unset _cmd
hwclock                 |++ command -v stop_pre
hwclock                 |/lib64/rc/sh/runscript.sh: line 165: command: stop_pre: not found
hwclock                 |+ '[' '' = stop_pre ']'
hwclock                 |+ stop
hwclock                 |+ '[' -n '' ']'
hwclock                 |+ yesno yes
hwclock                 |+ '[' -z yes ']'
hwclock                 |+ case "$1" in
hwclock                 |+ return 0
hwclock                 |+ local retval=0 errstr=
hwclock                 |+ setupopts
hwclock                 |+ case "$(uname -m)" in
hwclock                 |++ uname -m
hwclock                 |+ '[' -e /proc/devices ']'
hwclock                 |+ grep -q ' cobd$' /proc/devices
hwclock                 |+ case "${utc}" in
hwclock                 |+ '[' -z --localtime ']'
hwclock                 |+ ebegin 'Setting hardware clock using the system clock' '[Local Time]'
hwclock                 | * Setting hardware clock using the system clock [Local Time] ...
hwclock                 |+ yesno ''
hwclock                 |+ '[' -z '' ']'
hwclock                 |+ return 1
hwclock                 |+ LC_ALL=C
hwclock                 |+ hwclock --help
hwclock                 |+ grep -q '\-\-noadjfile'
hwclock                 |+ utc_cmd='--localtime --noadjfile'
hwclock                 |+ _hwclock --systohc --localtime --noadjfile
hwclock                 |++ hwclock --systohc --localtime --noadjfile
hwclock                 |+ local err=
hwclock                 |+ '[' -z '' ']'
hwclock                 |+ return 0
hwclock                 |+ retval=0
hwclock                 |+ eend 0 'Failed to sync clocks'                                                                                                                    [ ok ]
hwclock                 |++ command -v stop_post
hwclock                 |/lib64/rc/sh/runscript.sh: line 169: command: stop_post: not found
hwclock                 |+ '[' '' = stop_post ']'
hwclock                 |+ shift
hwclock                 |+ continue 2
hwclock                 |+ '[' -n '' ']'
mother r1h # /etc/init.d/hwclock --nodeps --debug start
hwclock                 |+ _conf_d=/etc/init.d/../conf.d
hwclock                 |+ _c=hwclock
hwclock                 |+ '[' -n hwclock -a hwclock '!=' hwclock ']'
hwclock                 |+ unset _c
hwclock                 |+ '[' -e /etc/init.d/../conf.d/hwclock.default ']'
hwclock                 |+ '[' -e /etc/init.d/../conf.d/hwclock ']'
hwclock                 |+ . /etc/init.d/../conf.d/hwclock
hwclock                 |++ CLOCK=local
hwclock                 |++ TIMEZONE=NZ
hwclock                 |++ CLOCK_OPTS=
hwclock                 |++ CLOCK_SYSTOHC=yes
hwclock                 |++ SRM=no
hwclock                 |++ ARC=no
hwclock                 |+ unset _conf_d
hwclock                 |+ '[' -e /etc/rc.conf ']'
hwclock                 |+ . /etc/rc.conf
hwclock                 |++ rc_parallel=YES
hwclock                 |++ rc_interactive=NO
hwclock                 |++ rc_depend_strict=YES
hwclock                 |++ rc_hotplug=YES
hwclock                 |++ rc_coldplug=YES
hwclock                 |++ rc_plug_services=
hwclock                 |++ rc_logger=YES
hwclock                 |++ unicode=YES
hwclock                 |++ net_fs_list='afs cifs coda davfs fuse gfs ncpfs nfs nfs4 ocfs2 shfs smbfs'
hwclock                 |++ rc_tty_number=12
hwclock                 |++ rc_devices=udev
hwclock                 |++ rc_device_tarball=NO
hwclock                 |++ dmesg_level=1
hwclock                 |+ '[' -n '' ']'
hwclock                 |+ . /etc/init.d/hwclock
hwclock                 |++ extra_commands='save show'
hwclock                 |++ description='Sets the local clock to UTC or Local Time.'
hwclock                 |++ description_save='Saves the current time in the BIOS.'
hwclock                 |++ description_show='Displays the current time in the BIOS.'
hwclock                 |++ clock_adjfile=
hwclock                 |++ clock_args=
hwclock                 |++ clock_systohc=yes
hwclock                 |++ clock=local
hwclock                 |++ '[' local = UTC ']'
hwclock                 |++ utc='Local Time'
hwclock                 |++ utc_cmd=--localtime
hwclock                 |+ unset _d
hwclock                 |+ unset _f
hwclock                 |+ '[' -n start ']'
hwclock                 |+ for _cmd in describe start stop '${extra_commands:-${opts}}' '${extra_started_commands}'
hwclock                 |+ '[' describe = start ']'
hwclock                 |+ for _cmd in describe start stop '${extra_commands:-${opts}}' '${extra_started_commands}'
hwclock                 |+ '[' start = start ']'
hwclock                 |++ command -v start
hwclock                 |+ '[' start = start ']'
hwclock                 |+ yesno
hwclock                 |+ '[' -z '' ']'
hwclock                 |+ return 1
hwclock                 |+ unset _cmd
hwclock                 |++ command -v start_pre
hwclock                 |/lib64/rc/sh/runscript.sh: line 165: command: start_pre: not found
hwclock                 |+ '[' '' = start_pre ']'
hwclock                 |+ start
hwclock                 |+ local retval=0 errstr=
hwclock                 |+ setupopts
hwclock                 |+ case "$(uname -m)" in
hwclock                 |++ uname -m
hwclock                 |+ '[' -e /proc/devices ']'
hwclock                 |+ grep -q ' cobd$' /proc/devices
hwclock                 |+ case "${utc}" in
hwclock                 |+ '[' -z --localtime ']'
hwclock                 |+ ebegin 'Setting system clock using the hardware clock [Local Time]'
hwclock                 | * Setting system clock using the hardware clock [Local Time] ...
hwclock                 |+ '[' -e /proc/modules -a '!' -e /dev/rtc ']'
hwclock                 |+ '[' -e /etc/adjtime ']'
hwclock                 |+ yesno
hwclock                 |+ '[' -z '' ']'
hwclock                 |+ return 1
hwclock                 |+ '[' '' '!=' N -o --localtime '!=' --utc -o -n '' ']'
hwclock                 |+ _hwclock --hctosys --localtime
hwclock                 |++ hwclock --hctosys --localtime
hwclock                 |+ local err=
hwclock                 |+ '[' -z '' ']'
hwclock                 |+ return 0
hwclock                 |+ retval=0
hwclock                 |+ eend 0 'Failed to set the system clock'                                                                                                           [ ok ]
hwclock                 |+ return 0
hwclock                 |++ command -v start_post
hwclock                 |/lib64/rc/sh/runscript.sh: line 169: command: start_post: not found
hwclock                 |+ '[' '' = start_post ']'
hwclock                 |+ shift
hwclock                 |+ continue 2
hwclock                 |+ '[' -n '' ']'
Segmentation fault
mother r1h # 

Comment 7 Rod 2008-05-11 07:25:12 UTC
Created attachment 152817 [details]
FEATURES=nostrip emerge openrc >& log
Comment 8 SpanKY gentoo-dev 2008-05-11 09:27:24 UTC
what is your /bin/sh pointing to ?  the output you've shown indicates the warnings are harmless, but `command -v` should not be outputting that stuff to stderr in the first place.
Comment 9 Rod 2008-05-11 09:44:48 UTC
(In reply to comment #8)
> what is your /bin/sh pointing to ?  the output you've shown indicates the
> warnings are harmless, but `command -v` should not be outputting that stuff to
> stderr in the first place.
> 

mother ~ # file /bin/sh 
/bin/sh: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), for GNU/Linux 2.4.1, dynamically linked (uses shared libs), stripped

mother ~ # /bin/sh --help
GNU bash, version 3.00.16(1)-release-(x86_64-pc-linux-gnu)
Usage:	/bin/sh [GNU long option] [option] ...
	/bin/sh [GNU long option] [option] script-file ...
GNU long options:
	--debug
	--debugger
	--dump-po-strings
	--dump-strings
	--help
	--init-file
	--login
	--noediting
	--noprofile
	--norc
	--posix
	--protected
	--rcfile
	--restricted
	--verbose
	--version
	--wordexp
Shell options:
	-irsD or -c command or -O shopt_option		(invocation only)
	-abefhkmnptuvxBCHP or -o option
Type `/bin/sh -c "help set"' for more information about shell options.
Type `/bin/sh -c help' for more information about shell builtin commands.
Use the `bashbug' command to report bugs.
Comment 10 SpanKY gentoo-dev 2008-05-11 10:14:45 UTC
your /bin/sh should be a symlink to /bin/bash.  it certainly shouldnt be an old copy of bash.
Comment 11 Rod 2008-05-11 10:45:11 UTC
(In reply to comment #10)
> your /bin/sh should be a symlink to /bin/bash.  it certainly shouldnt be an old
> copy of bash.
> 

changing /bin/sh to a symlink to /bin/bash has fixed the problem.
it seems there really is no bug then.
thank u for all ur help.
i dont know why i had that old copy of bash.
thanks again
Comment 12 SpanKY gentoo-dev 2008-05-11 11:12:11 UTC
can you double check that things are no longer segfaulting as well ?
Comment 13 Rod 2008-05-11 11:32:36 UTC
(In reply to comment #12)
> can you double check that things are no longer segfaulting as well ?
> 

oh.
i tried 
/etc/init.d/hwclock --nodeps stop
/etc/init.d/hwclock --nodeps start
and it seems to segfault and launches gdb
maybe i shouldnt have closed the bug yet?

localhost ~ # /etc/init.d/hwclock --nodeps start
hwclock                 | * Setting system clock using the hardware clock [Local Time] ...                                                                                    [ ok ]

Auto launching gdb!

Attaching to process 7627
Reading symbols from /sbin/rc...done.
Reading symbols from /lib64/libutil.so.1...done.
Loaded symbols for /lib64/libutil.so.1
Reading symbols from /lib64/librc.so.1...done.
Loaded symbols for /lib64/librc.so.1
Reading symbols from /lib64/libeinfo.so.1...done.
Loaded symbols for /lib64/libeinfo.so.1
Reading symbols from /lib64/libncurses.so.5...done.
Loaded symbols for /lib64/libncurses.so.5
Reading symbols from /lib64/libdl.so.2...done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /lib64/libpam.so.0...done.
Loaded symbols for /lib64/libpam.so.0
Reading symbols from /lib64/libc.so.6...done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
0x00007fbbd96fa5fb in fork () from /lib64/libc.so.6
#0  0x00007fbbd96fa5fb in fork () from /lib64/libc.so.6
No symbol table info available.
#1  0x00000000004139c4 in handle_bad_signal (sig=11) at rc.c:897
	pid = "\001\000\000\000������"
	status = 0
	crashed_pid = 7627
#2  <signal handler called>
No symbol table info available.
#3  0x00007fbbda232bf9 in get_depinfo (deptree=0x0, service=0x419955 "iprovide") at librc-depend.c:99
	di = (RC_DEPINFO *) 0x7fbbda858bc0
#4  0x00007fbbda233ab9 in *__RC_rc_deptree_depend (deptree=0x0, service=0x419955 "iprovide", type=0x7fffe28580b5 "hwclock") at librc-depend.c:465
	di = (RC_DEPINFO *) 0x0
	dt = (RC_DEPTYPE *) 0xfefefefefefefeff
	svcs = (RC_STRINGLIST *) 0x8101010101010100
	svc = (RC_STRING *) 0x7fbbda857000
#5  0x0000000000410a41 in svc_start (deps=false) at runscript.c:878
	started = true
	background = false
	svc = (RC_STRING *) 0x7fffe28580b5
	svc2 = (RC_STRING *) 0x7fffe28542e0
	depoptions = 3
	state = RC_SERVICE_STOPPED
	first = false
	n = 0
	len = 140444801797056
	p = 0x0
	tmp = 0x7fffe28565d0 "\004"
#6  0x0000000000411c33 in runscript (argc=3, argv=0x7fffe28565e0) at runscript.c:1300
	deps = false
	doneone = true
	pidstr = "7627\000\000\000\000\000"
	retval = 0
	opt = -1
	svc = (RC_STRING *) 0x0
	dir = '\0' <repeats 3368 times>, "�Vdڻ\177\000\000\000\000\000\000\000\000\000\000\2100\205ڻ\177\000\000\a\000\000\000\000\000\000\000\t\000\000\000\000\000\000\000FX7\017\000\000\000\000<[dڻ\177\000\000\000\000\000\000\000\000\000\000��eٻ\177", '\0' <repeats 14 times>, "\006\000\000\000a�<\000\000\000\000\000 Q\205��\177\000\000\230R\205��\177\000\000P�eٻ\177\000\000\000\000\000\000\000\000\000\000�0\205ڻ\177\000\000pI\205ڻ\177\000\000�Vdڻ\177\000\000H�fٻ\177\000\000\2100\205ڻ\177\000\000\a\000\000\000\000\000\000\000\t\000\000\000\000\000\000\000�p\016�\000\000\000\000�V"...
	l = 24
	ll = 7
	save = 0x7fffe28565d8 "\231\200\205��\177"
	depoptions = 1
#7  0x000000000040a249 in run_applets (argc=4, argv=0x7fffe28565d8) at rc-applets.c:387
	i = 2
	match = false
	p = 0x7fbbda857000 ""
	pid = 0
#8  0x0000000000413c9e in main (argc=4, argv=0x7fffe28565d8) at rc.c:976
	bootlevel = 0x0
	newlevel = 0x0
	deporder = (RC_STRINGLIST *) 0x0
	tmplist = (RC_STRINGLIST *) 0x7fffe28565d8
	service = (RC_STRING *) 0x7fbbda858bc0
	going_down = false
	depoptions = 3
	krunlevel = "\000\000\000\000\000\000\000\000h�dڻ\177\000\000\000\000\000\000\000\000\000\000�\224\205ڻ\177\000\000�h�ٻ\177\000\000\200Fdڻ\177", '\0' <repeats 66 times>, "\001", '\0' <repeats 167 times>, "h�dڻ\177", '\0' <repeats 11 times>, "@\205ڻ\177\000\000�\v�ٻ\177\000\000\200Fdڻ\177", '\0' <repeats 66 times>, "\001", '\0' <repeats 24 times>, "-dڻ\177", '\0' <repeats 42 times>, "\220a\205��\177\000\000\000b\205��\177\000\000p;\233ٻ\177\000\000\000\000\000\000\000\000\000\000�W\205��\177\000\000\000\000\000\000\000\000\000\000M\177dڻ\177\000\000\000\000\000\000"...
	pidstr = "\000\000\000\000\000\000\000\000\000"
	opt = 0
---Type <return> to continue, or q <return> to quit---

Comment 14 SpanKY gentoo-dev 2008-05-11 11:43:34 UTC
ive added openrc-0.2.4 ... please update to that and if it still crashes, re-open
Comment 15 Rod 2008-05-11 20:32:37 UTC
reopened due to segfault
Comment 16 Rod 2008-05-12 06:53:30 UTC
Created attachment 152915 [details]
emerge openrc-2.4
Comment 17 Rod 2008-05-12 06:57:18 UTC
(In reply to comment #16)
> Created an attachment (id=152915) [edit]
> emerge openrc-2.4
> 

mother r1h # /etc/init.d/hwclock --nodeps stop
hwclock                 | * WARNING: you are stopping a boot service
hwclock                 | * Setting hardware clock using the system clock [Local Time] ...                                                                                   [ ok ]
mother r1h # /etc/init.d/hwclock --nodeps start
hwclock                 | * Setting system clock using the hardware clock [Local Time] ...                                                                                   [ ok ]

Auto launching gdb!

Attaching to process 6649
Reading symbols from /sbin/rc...(no debugging symbols found)...done.
Reading symbols from /lib64/libutil.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libutil.so.1
Reading symbols from /lib64/librc.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/librc.so.1
Reading symbols from /lib64/libeinfo.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libeinfo.so.1
Reading symbols from /lib64/libncurses.so.5...(no debugging symbols found)...done.
Loaded symbols for /lib64/libncurses.so.5
Reading symbols from /lib64/libdl.so.2...
(no debugging symbols found)...done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /lib64/libpam.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib64/libpam.so.0
Reading symbols from /lib64/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
(no debugging symbols found)
0x00007f3de8815064 in wait () from /lib64/libc.so.6
#0  0x00007f3de8815064 in wait () from /lib64/libc.so.6
No symbol table info available.
#1  0x000000000041002a in ?? ()
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x00007f3de934cc59 in ?? () from /lib64/librc.so.1
No symbol table info available.
#4  0x00007f3de934ccfe in rc_deptree_depend () from /lib64/librc.so.1
No symbol table info available.
#5  0x000000000040d84e in ?? ()
No symbol table info available.
#6  0x000000000040eec1 in ?? ()
No symbol table info available.
#7  0x0000000000408b5f in ?? ()
No symbol table info available.
#8  0x0000000000410121 in ?? ()
No symbol table info available.
#9  0x00007f3de87951f4 in __libc_start_main () from /lib64/libc.so.6
No symbol table info available.
#10 0x0000000000404829 in ?? ()
No symbol table info available.
#11 0x00007ffff1971708 in ?? ()
No symbol table info available.
#12 0x0000000000000000 in ?? ()
No symbol table info available.
(gdb) 

i must say im not familiar with debugging , 
is this good?
why does gdb launch only when i use --nodeps?
Comment 18 SpanKY gentoo-dev 2008-05-12 10:32:57 UTC
the last gdb backtrace is useless ... you need to build openrc without optimization and with stripping disabled

the backtrace in comment #13 though may be applicable to current git
Comment 19 Rod 2008-05-12 11:15:30 UTC
(In reply to comment #18)
> the last gdb backtrace is useless ... you need to build openrc without
> optimization and with stripping disabled
> 
> the backtrace in comment #13 though may be applicable to current git
> 

mother r1h # /etc/init.d/hwclock --nodeps stop
hwclock                 | * WARNING: you are stopping a boot service
hwclock                 | * Setting hardware clock using the system clock [Local Time] ...                                                                                    [ ok ]
mother r1h # /etc/init.d/hwclock --nodeps start
hwclock                 | * Setting system clock using the hardware clock [Local Time] ...                                                                                    [ ok ]

Auto launching gdb!

Attaching to process 2758
Reading symbols from /sbin/rc...done.
Reading symbols from /lib64/libutil.so.1...done.
Loaded symbols for /lib64/libutil.so.1
Reading symbols from /lib64/librc.so.1...done.
Loaded symbols for /lib64/librc.so.1
Reading symbols from /lib64/libeinfo.so.1...done.
Loaded symbols for /lib64/libeinfo.so.1
Reading symbols from /lib64/libncurses.so.5...done.
Loaded symbols for /lib64/libncurses.so.5
Reading symbols from /lib64/libdl.so.2...done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /lib64/libpam.so.0...done.
Loaded symbols for /lib64/libpam.so.0
Reading symbols from /lib64/libc.so.6...done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
0x00007f97ac83d064 in wait () from /lib64/libc.so.6
#0  0x00007f97ac83d064 in wait () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000000000413bc1 in handle_bad_signal (sig=11) at rc.c:909
	pid = "\001\000\000\000\001\000\000\000X�"
	status = 0
	crashed_pid = 2758
#2  <signal handler called>
No symbol table info available.
#3  0x00007f97ad375ad1 in get_depinfo (deptree=0x0, service=0x419ad5 "iprovide") at librc-depend.c:99
	di = (RC_DEPINFO *) 0xb
#4  0x00007f97ad376991 in *__RC_rc_deptree_depend (deptree=0x0, service=0x419ad5 "iprovide", type=0xe6c01c "hwclock") at librc-depend.c:465
	di = (RC_DEPINFO *) 0x0
	dt = (RC_DEPTYPE *) 0xfefefefefefefeff
	svcs = (RC_STRINGLIST *) 0x8101010101010100
	svc = (RC_STRING *) 0x7f97ad99a000
#5  0x00000000004109bc in svc_start (deps=false) at runscript.c:880
	started = true
	background = false
	svc = (RC_STRING *) 0xe6c01c
	svc2 = (RC_STRING *) 0x7fffb59983b0
	depoptions = 3
	state = RC_SERVICE_STOPPED
	first = false
	n = 0
	len = 11
	p = 0x0
	tmp = 0x7fffb599b740 "\004"
#6  0x0000000000411da1 in runscript (argc=3, argv=0x7fffb599b750) at runscript.c:1342
	deps = false
	doneone = true
	pidstr = "2758\000\000\000\000@�"
	retval = 0
	opt = -1
	svc = (RC_STRING *) 0x0
	path = "/etc/init.d\000hwclock", '\0' <repeats 3365 times>, "�\206x�\227\177\000\000\000\000\000\000\000\000\000\000\210`\231�\227\177\000\000\a\000\000\000\000\000\000\000\t\000\000\000\000\000\000\000FX7\017\000\000\000\000<\213x�\227\177\000\000\000\000\000\000\000\000\000\000�!z�\227\177", '\0' <repeats 14 times>, "\006\000\000\000a�<\000\000\000\000\000\220�\231��\177\000\000\b�\231��\177\000\000P+z�\227\177\000\000\000\000\000\000\000\000\000\000�`\231�\227\177\000\000py\231�\227\177\000\000�\206x�\227\177\000\000H�z�\227\177\000\000\210`\231�\227\177\000\000\a\000\000\000\000\000\000"...
	lnk = '\0' <repeats 4095 times>
	l = 24
	ll = 7
	dir = 0x7fffb59994e0 "/etc/init.d"
	save = 0x0
	file = 0x7fffb599c0e2 "hwclock"
	depoptions = 1
	stbuf = {st_dev = 2053, st_ino = 49581, st_nlink = 1, st_mode = 33261, st_uid = 0, st_gid = 0, pad0 = 0, st_rdev = 0, st_size = 2599, st_blksize = 4096, st_blocks = 8, 
  st_atim = {tv_sec = 1210590568, tv_nsec = 0}, st_mtim = {tv_sec = 1210590568, tv_nsec = 0}, st_ctim = {tv_sec = 1210590575, tv_nsec = 0}, __unused = {0, 0, 0}}
#7  0x000000000040a229 in run_applets (argc=4, argv=0x7fffb599b748) at rc-applets.c:387
	i = 2
	match = false
	p = 0x7f97ad99a000 ""
	pid = 0
#8  0x0000000000413e13 in main (argc=4, argv=0x7fffb599b748) at rc.c:978
	bootlevel = 0x0
	newlevel = 0x0
	deporder = (RC_STRINGLIST *) 0x0
	tmplist = (RC_STRINGLIST *) 0x7fffb599b748
	service = (RC_STRING *) 0x7f97ad99bbc0
	going_down = false
	depoptions = 3
	krunlevel = "\000\000\000\000\000\000\000\000h�x�\227\177\000\000\000\000\000\000\000\000\000\000��\231�\227\177\000\000�\230Ь\227\177\000\000\200vx�\227\177", '\0' <repea---Type <return> to continue, or q <return> to quit---
ts 66 times>, "\001", '\0' <repeats 167 times>, "h�x�\227\177", '\0' <repeats 11 times>, "p\231�\227\177\000\000�;��\227\177\000\000\200vx�\227\177", '\0' <repeats 66 times>, "\001", '\0' <repeats 24 times>, "]x�\227\177", '\0' <repeats 43 times>, "�\231��\177\000\000p�\231��\177\000\000pk��\227\177\000\000\000\000\000\000\000\000\000\000`�\231��\177\000\000\000\000\000\000\000\000\000\000M�x�\227\177\000\000\000\000\000\000\000"...
	pidstr = "\000\000\000\000\000\000\000\000\000"
	opt = 0
	parallel = false
	regen = 0
	proc = 0x7fffb599b740 "\004"
	p = 0x0
	token = 0x0
(gdb) 

Comment 20 Rod 2008-05-12 11:17:07 UTC
Created attachment 152927 [details]
FEATURES=nostrip emerge openrc-2.4 >& log
Comment 21 Roy Marples 2008-05-12 13:22:02 UTC
Created attachment 152943 [details, diff]
Check deptree exists before using it

This should fix the segfault.
Comment 22 Rod 2008-05-13 05:52:50 UTC
(In reply to comment #21)
> Created an attachment (id=152943) [edit]
> Check deptree exists before using it
> 
> This should fix the segfault.
> 
is this what u mean?

mother r1h # equery b deptree
[ Searching for file(s) deptree in *... ]
mother r1h # deptree
bash: deptree: command not found
mother r1h # 
Comment 23 Rod 2008-05-13 05:57:04 UTC
(In reply to comment #22)
> (In reply to comment #21)
> > Created an attachment (id=152943) [edit]
> > Check deptree exists before using it
> > 
> > This should fix the segfault.
> > 
> is this what u mean?
> 
> mother r1h # equery b deptree
> [ Searching for file(s) deptree in *... ]
> mother r1h # deptree
> bash: deptree: command not found
> mother r1h # 
> 

hmm , sorry im a newbie.
i googled abit is this it?

mother r1h # file /var/lib/init.d/deptree 
/var/lib/init.d/deptree: ASCII text, with very long lines
Comment 24 Roy Marples 2008-05-13 06:04:21 UTC
That comment was to describe the patch :P
 
You need to add it to the ebuild on line 69 after the line that starts with epatch

epatch /path/to/patch

Replace /path/to/patch with where you download the attachment to.
The re-emerge openrc.
Comment 25 Rod 2008-05-13 06:18:33 UTC
Created attachment 153015 [details]
FEATURES=nostrip emerge openrc >& log + patch
Comment 26 Rod 2008-05-13 06:21:15 UTC
(In reply to comment #25)
> Created an attachment (id=153015) [edit]
> FEATURES=nostrip emerge openrc >& log + patch
> 

it seems to be all good now.
can someone confirm pls.
im pretty green at this.
thx

mother r1h # /etc/init.d/hwclock stop
hwclock                 | * WARNING: you are stopping a boot service
hwclock                 | * Caching service dependencies ...                                                                                                                 [ ok ]
hwclock                 | * Setting hardware clock using the system clock [Local Time] ...                                                                                   [ ok ]
mother r1h # /etc/init.d/hwclock start
hwclock                 | * Setting system clock using the hardware clock [Local Time] ...                                                                                   [ ok ]
mother r1h # /etc/init.d/hwclock --nodeps stop
hwclock                 | * WARNING: you are stopping a boot service
hwclock                 | * Setting hardware clock using the system clock [Local Time] ...                                                                                   [ ok ]
mother r1h # /etc/init.d/hwclock --nodeps start
hwclock                 | * Setting system clock using the hardware clock [Local Time] ...                                                                                   [ ok ]
mother r1h # emerge -av openrc

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] sys-apps/openrc-0.2.4  USE="debug ncurses pam unicode" 0 kB 

Total: 1 package (1 reinstall), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No] n

Quitting.

mother r1h # /etc/init.d/hwclock --nodeps restart
hwclock                 | * Setting hardware clock using the system clock [Local Time] ...                                                                                   [ ok ]
hwclock                 | * Setting system clock using the hardware clock [Local Time] ...                                                                                   [ ok ]
mother r1h # 
Comment 27 Rod 2008-05-13 06:25:52 UTC
(In reply to comment #24)
> That comment was to describe the patch :P
> 
> You need to add it to the ebuild on line 69 after the line that starts with
> epatch
> 
> epatch /path/to/patch
> 
> Replace /path/to/patch with where you download the attachment to.
> The re-emerge openrc.
> 

i named it 0004-marples.patch and dumped it into 
/usr/portage/sys-apps/openrc/files/9999
it seemed to be applied , is this ok?
thx
Comment 28 Roy Marples 2008-05-13 07:30:23 UTC
Yes, that's fine :)
Comment 29 Rod 2008-05-13 07:39:40 UTC
(In reply to comment #28)
> Yes, that's fine :)
> 
ok cool.
thanks

so close this off then?
Comment 30 Doug Goldstein gentoo-dev 2008-05-14 13:18:00 UTC
please don't close bugs unless they're fixed in the tree.
Comment 31 Doug Goldstein gentoo-dev 2008-05-14 19:05:33 UTC
fixed in 0.2.4-r1